a
Prev | Orchestra Opcodes and Operators | Next

## a

a — Converts a k-rate parameter to an a-rate value with interpolation.

## Description

Converts a k-rate parameter to an a-rate value with interpolation.

## Syntax

    a(x) (control-rate args only)

where the argument within the parentheses may be an expression. Value converters perform arithmetic translation from units of one kind to units of another. The result can then be a term in a further expression.

## Examples

Here is an example of the a opcode. It uses the file opa.csd.

Example 29. Example of the a opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -odac           -iadc    ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o a.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      ; Create a sine wave at k-rate.
      kwave oscil 20000, 440, 1

      ; Convert the k-rate sine wave to the audio-rate.
      awave = a(kwave)

      ; Output the audio-rate version of sine wave.
      out awave
    endin

    </CsInstruments>
    <CsScore>

    ; Table #1, a sine wave.
    f 1 0 16384 10 1

    ; Play Instrument #1 for one second.
    i 1 0 1
    e

    </CsScore>
    </CsoundSynthesizer>

## See Also

i, k

## Credits

Author: Gabriel Maldonado

Example written by Kevin Conder.

New in version 4.21

Prev | Up | Next
# | Home | abetarand